dom.cpp File Reference
`#include <gecode/minimodel.hh>`
`#include "test/int.hh"`

Go to the source code of this file.

## Classes

class | Test::Int::Dom::DomInt
| Test for domain constraint (integer) More...
class | Test::Int::Dom::DomRange
| Test for domain constraint (range) More...
class | Test::Int::Dom::DomRangeEmpty
| Test for domain constraint (empty range) More...
class | Test::Int::Dom::DomDom
| Test for domain constraint (full integer set) More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Dom
| Tests for domain constraints

## Variables

const int | Test::Int::Dom::r [4][2]
Gecode::IntSet | Test::Int::Dom::d (r, 4)
DomInt | Test::Int::Dom::di1 (1)
DomInt | Test::Int::Dom::di3 (3)
DomRange | Test::Int::Dom::dr1 (1)
DomRange | Test::Int::Dom::dr3 (3)
DomDom | Test::Int::Dom::dd1 (1)
DomDom | Test::Int::Dom::dd3 (3)
DomRangeEmpty | Test::Int::Dom::dre